umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_classifiercodedocument.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenerators/classifiercodedocument.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_ClassifierCodeDocument_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_ClassifierCodeDocument_t | qt_meta_stringdata_ClassifierCodeDocument
static const uint | qt_meta_data_ClassifierCodeDocument []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_ClassifierCodeDocument_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_ClassifierCodeDocument_t
Definition: moc_classifiercodedocument.cpp:24

## Variable Documentation

## ◆ qt_meta_data_ClassifierCodeDocument

const uint qt_meta_data_ClassifierCodeDocument[]
| static

## ◆ qt_meta_stringdata_ClassifierCodeDocument

const qt_meta_stringdata_ClassifierCodeDocument_t qt_meta_stringdata_ClassifierCodeDocument
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 22),
QT_MOC_LITERAL(1, 23, 22),
QT_MOC_LITERAL(2, 46, 0),
QT_MOC_LITERAL(3, 47, 22),
QT_MOC_LITERAL(4, 70, 2),
QT_MOC_LITERAL(5, 73, 19),
QT_MOC_LITERAL(6, 93, 24),
QT_MOC_LITERAL(7, 118, 15),
QT_MOC_LITERAL(8, 134, 5),
QT_MOC_LITERAL(9, 140, 25),
QT_MOC_LITERAL(10, 166, 27),
QT_MOC_LITERAL(11, 194, 12),
QT_MOC_LITERAL(12, 207, 3),
QT_MOC_LITERAL(13, 211, 15),
QT_MOC_LITERAL(14, 227, 12)
},
"ClassifierCodeDocument\0addAttributeClassField\0"
"\0UMLClassifierListItem*\0at\0"
"syncToParentIfAdded\0addAssociationClassField\0"
"UMLAssociation*\0assoc\0removeAttributeClassField\0"
"removeAssociationClassField\0addOperation\0"
"obj\0removeOperation\0syncToParent"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_classifiercodedocument.cpp:28